Get Historical Data From Device
How to get historical data from a single device for a specified time range
GET https://{server_address}/external/api/data/get?token={token}&period={PERIOD}&granularityType={TYPE}&sourceType={SOURCE_TYPE}&tzName={tzName}&format={FORMAT}&pin={pin}
Path Parameters
period
string
Is MONTH by default. Other possible options: HOUR, DAY, WEEK, THREE_MONTHS
granularityType
string
Is RAW_DATA by default. ( RAW_DATA is not supported for the THREE_MONTH period). Other possible values: MINUTE, HOURLY, DAILY
sourceType
string
Is AVG by default. Other possible values: MIN, MAX, SUM, COUNT
tzName
string
Is UTC by defult. Please specify timezones accordingly to java.time.ZoneId
format
string
Is TS by default. Other possible values: ISO_US "04/10/19 11:45:41 AM" ISO_SIMPLE "2018-06-07 22:01:20"
sendEvents
string
Is false by default
dataStreamId or pin
string
Are optional parameteres, which are used to get data for the specific pin
{"link":"https://server_address/device_data_2592_2021-04-13T02-27-11.zip"}{"error":{"message":"Invalid token."}}
or
{"error":{"message":"No token provided."}}
or
{"error":{"message":"Request with incorrect parameters"}}
or
{"error":{"message":"Wrong pin format."}}{% tab title="500 Wrong constant is used in parameter (specified in the end of the string) or There is no data for specified pin or datastream" %}
Use case example:
Let's say you live in Sydney, Australia and there is a garage door opener and want to get an exact time you departed today in one file. The accuracy you need is up to 1 minute and it should be in "YYYY-MM-DD HH:MM:SS" format. Your device uses Datastream with ID 20 and virtual pin 6 for open/close commands. Let's say you also need to get the list of all the Events that were recorded during this period.
API call will look like this:
https://blynk.cloud/external/api/data/get?token=HjKjfij84050fege&period=DAY&granularityType=MINUTE&sourceType=AVG&tzName=America/New_York&format=ISO_SIMPLE&sendEvents=true&dataStreamId=20`
JSON Output example:
Last updated
Was this helpful?

